@import url('https://fonts.googleapis.com/css2?family=Lato&display=swap');

:root {
  --blank-color: #FFF;
  --blank-color-hsl: hsl(0,0%,100%);

  --border-color: #E3E5E4;
  --border-color-hsl: hsl(150, 4%, 89%);

  --background-color: #C3C7CA;
  --background-color-hsl: hsl(206, 6%, 78%);

  --text-color: #34444F;
  --text-color-hsl: hsl(204, 21%, 26%);

  --right-color: hsl(141, 75%, 56%);
  --wrong-color: hsl(0, 100%, 61%);

}
* {
  box-sizing: border-box;
}

body {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  
  margin: 0;
  block-size: 100vh;

  font-family: 'Lato', sans-serif;
  background-color: #FFF;
}

.draggable-list {
  padding: 0;
  border: 1px solid var(--border-color-hsl);
  color: var(--text-color-hsl);
  list-style-type: none;
}

.draggable-list li {
  display: flex;
  flex: 1;
  background-color: #FFF;
}

.draggable-list li:not(:last-of-type) {
  border-block-end: 1px solid var(--border-color-hsl);
}

.draggable-list .number {
  display: flex;
  justify-content: center;
  align-items: center;
  inline-size: 60px;
  block-size: 60px;

  font-size: 1.75rem;
  background-color: var(--background-color-hsl);
}

.draggable-list li.over .draggable {
  background-color: #eaeaea;
}

.draggable-list .person-name {
  margin-inline: 0 20px;
  margin-block: 0;
}

.draggable-list li.right .person-name {
  color: #3AE374;
}
.draggable-list li.wrong .person-name {
  color: #ff3838;
}

.draggable {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex: 1;
  padding: 1rem;
  cursor: pointer;
}

.check-btn {
  padding: 10px 20px;
  border: none;
  font-size: 1rem;
  color: var(--text-color);
  background-color: var(--background-color);
  cursor: pointer;
}

.check-btn:active {
  transform: scale(0.98);
}

.check-btn:focus {
  outline: none;
}